MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::LSDACFunctional Class Reference

An abstract base class for local correlation functionals. More...

`#include <functional.h>`

Inheritance diagram for sc::LSDACFunctional:

List of all members.

## Public Member Functions

| LSDACFunctional (const Ref< KeyVal > &)
| LSDACFunctional (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | point (const PointInputData &, PointOutputData &)
virtual void | point_lc (const PointInputData &, PointOutputData &, double &ec_local, double &decrs, double &deczeta)=0

## Detailed Description

An abstract base class for local correlation functionals.

## Member Function Documentation

void sc::LSDACFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

Reimplemented in sc::PZ81LCFunctional, sc::PW92LCFunctional, sc::VWN5LCFunctional, sc::VWN4LCFunctional, sc::VWN3LCFunctional, sc::VWN2LCFunctional, sc::VWN1LCFunctional, and sc::VWNLCFunctional.

The documentation for this class was generated from the following file:

- functional.h